View Issue Details

IDProjectCategoryView StatusLast Update
0000661Industrial-Craft²crossmod-compatibility / submodules / APIpublic2013-10-03 17:10
ReporterGeo_TerraAssigned ToThunderdark 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000661: Bad AE - IC2 Reactor Compatibility?
DescriptionAfter seeing Direwolf20 try to automate the repopulation of his reactors on his Forgecraft2 YouTube series, I had the idea of using Applied Energistics sub-networks to populate my reactors with fresh uranium, but the bug he experienced, where the cells would stack if placed in the reactor by an AE Export Bus, discouraged me from doing so.
I asked on the forum if this bug might've been fixed yet and I got the suggestion to use IC2 v2.0.206-experimental as in the changes summary on the Jenkins, there was "fix handling container items with stacksize > 1 in InvSlotConsumable". So I quickly threw together a 1.6.4 instance and installed this version of IC2 alongside AE rv13-c to test. After quickly putting together a very barebones network hooked up to the reactor via an Export Bus, I was disappointed to see that the Dual Uranium Cells I had used were indeed stacking inside the reactor, so the bug apparently had not been fixed. As I'm not sure which side this bug is on, I will be reporting this on the AE bugtracker as well.
*Also, I tried IC2 v2.0.235-experimental just to see if this bug had been fixed since then, and no it hasn't.
Steps To Reproduce1. Create a 1.6.4 instance of Minecraft (both mods work flawlessly)
2. Install IC2 v2.0.206 and AE rv13-c with CCC and NEI in the mods folder
3. Create a new world
4. Use NEI to set-up a barebones AE network consisting of a ME Controller, ME Access Terminal, ME Disk Drive with one 64k storage disk all connected to a full-size IC2 reactor through an Export Bus and some ME Cabling
5. Set the Export Bus to export the Uranium Fuel Rod/Cell of choice and throw an amount of the same cells into the network via the Access Terminal (I threw in a full stack)
6. Access the Reactor's GUI to see the Rods/Cells stacking in Slot 0 of the Reactor's inventory
TagsNo tags attached.
Minecraft Version

Activities

robot256

2013-09-30 15:50

reporter   ~0001643

I think one of the devs made a comment that this is partly a Forge bug, not just IC2, so no idea when it will get fixed. It happens with shift-clicking items from your inventory into the reactor as well.

Geo_Terra

2013-09-30 19:35

reporter   ~0001645

Update on the issue: http://forum.industrial-craft.net/index.php?page=Thread&postID=131705#post131705

Geo_Terra

2013-10-01 14:05

reporter   ~0001651

Okay, issue's been resolved in IC2 build 0000238.

Thunderdark

2013-10-03 17:10

viewer   ~0001656

in Build#238

Issue History

Date Modified Username Field Change
2013-09-30 13:35 Geo_Terra New Issue
2013-09-30 15:50 robot256 Note Added: 0001643
2013-09-30 19:35 Geo_Terra Note Added: 0001645
2013-10-01 14:05 Geo_Terra Note Added: 0001651
2013-10-03 17:10 Thunderdark Note Added: 0001656
2013-10-03 17:10 Thunderdark Status new => resolved
2013-10-03 17:10 Thunderdark Resolution open => fixed
2013-10-03 17:10 Thunderdark Assigned To => Thunderdark